%global momorel 1
%global md5sum_src0 d0080732eaa15059b0a953aa3522185a
%define tarball xf86-video-i128
%define moduledir %(pkg-config xorg-server --variable=moduledir )
%define driverdir	%{moduledir}/drivers

Summary:   Xorg X11 i128 video driver
Name:      xorg-x11-drv-i128
Version:   1.2.1
Release: %{momorel}m%{?dist}
URL:       http://www.x.org/
%global xorgurl http://xorg.freedesktop.org/releases/individual
%NoSource 0 %{xorgurl}/driver/%{tarball}-%{version}.tar.bz2 %{md5sum_src0}
Source1:   i128.xinf
License:   MIT/X
Group:     User Interface/X Hardware Support
BuildRoot: %{_tmppath}/%{name}-%{version}-root

ExclusiveArch: %{ix86}

BuildRequires: pkgconfig
BuildRequires: xorg-x11-server-sdk >= 1.2.0

Requires:  xorg-x11-server-Xorg >= 1.2.0

%description 
X.Org X11 i128 video driver.

%prep
%setup -q -n %{tarball}-%{version}

%build
%configure --disable-static
%make

%install
rm -rf --preserve-root %{buildroot}
make install DESTDIR=%{buildroot}
mkdir -p %{buildroot}%{_datadir}/hwdata/videoaliases
install -m 0644 %{SOURCE1} %{buildroot}%{_datadir}/hwdata/videoaliases/
find %{buildroot} -regex ".*\.la$" -delete

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-,root,root,-)
%{driverdir}/i128_drv.so
%{_datadir}/hwdata/videoaliases/i128.xinf
%{_mandir}/man4/i128.4*

%changelog
* Fri Jan 26 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.2.1-1m)
- update to 1.2.1

* Wed May 24 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.2.0-2m)
- delete duplicated dir

* Tue Apr 11 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (1.2.0-1m)
- update 1.2.0(Xorg-7.1RC1)

* Sat Mar 25 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.0.5-2m)
- To trunk

* Fri Feb 24 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.1.0.5-1.1m)
- import to Momonga

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.1.0.5-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Wed Jan 18 2006 Mike A. Harris <mharris@redhat.com> 1.1.0.5-1
- Updated xorg-x11-drv-i128 to version 1.1.0.5 from X11R7.0

* Tue Dec 20 2005 Mike A. Harris <mharris@redhat.com> 1.1.0.4-1
- Updated xorg-x11-drv-i128 to version 1.1.0.4 from X11R7 RC4
- Removed 'x' suffix from manpage dirs to match RC4 upstream.

* Wed Nov 16 2005 Mike A. Harris <mharris@redhat.com> 1.1.0.2-1
- Updated xorg-x11-drv-i128 to version 1.1.0.2 from X11R7 RC2

* Fri Nov 4 2005 Mike A. Harris <mharris@redhat.com> 1.1.0.1-1
- Updated xorg-x11-drv-i128 to version 1.1.0.1 from X11R7 RC1
- Fix *.la file removal.

* Mon Oct 3 2005 Mike A. Harris <mharris@redhat.com> 1.0.0-1
- Update BuildRoot to use Fedora Packaging Guidelines.
- Deglob file manifest.
- Limit "ExclusiveArch" to i386

* Fri Sep 2 2005 Mike A. Harris <mharris@redhat.com> 1.0.0-0
- Initial spec file for i128 video driver generated automatically
  by my xorg-driverspecgen script.
